## sbcenc sbcenc |

## Types and Values

struct | GstSbcEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstSbcEnc

## Implemented Interfaces

GstSbcEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | sbc
author | Marcel Holtmann <marcel@holtmann.org>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int){ 16000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-sbc, rate=(int){ 16000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ], channel-mode=(string){ mono, dual, stereo, joint }, blocks=(int){ 4, 8, 12, 16 }, subbands=(int){ 4, 8 }, allocation-method=(string){ snr, loudness }, bitpool=(int)[ 2, 64 ]

## Functions

## Types and Values

### struct GstSbcEnc

    struct GstSbcEnc;